Module Properties

    Class Point
        Private xcoordinate As Integer
        Private ycoordinate As Integer
        Sub New(ByVal x As Integer, ByVal y As Integer)
            xcoordinate = x
            ycoordinate = y
        End Sub
        Public Property X() As Integer
            Get
                Return xcoordinate
            End Get
            Set(ByVal Value As Integer)
                xcoordinate = Value
            End Set
        End Property
        Public Property Y() As Integer
            Get
                Return ycoordinate
            End Get
            Set(ByVal Value As Integer)
                ycoordinate = Value
            End Set
        End Property
    End Class
    Sub Main()
        Dim p As Point = New Point(1, 2)
        Console.WriteLine("---- Punkt " & p.X & "," & p.Y)
    End Sub

End Module
